> For the complete documentation index, see [llms.txt](https://multiset.gitbook.io/multiset/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://multiset.gitbook.io/multiset/native-support/ios-swift-native/api-reference.md).

# API Reference

This section provides detailed API documentation for the MultiSet iOS SDK components.

## Configuration

### [MultiSetConfig](/multiset/native-support/ios-swift-native/api-reference/multisetconfig.md)

A struct that provides centralized configuration for the MultiSet SDK. Controls credentials, localization behavior, object tracking settings, GPS hints, and UI feedback.

**Key Features:**

* Authentication credentials (clientId, clientSecret)
* Map configuration (mapCode, mapSetCode)
* Localization mode selection (single-frame, multi-frame)
* Localization behavior settings (auto-localize, background localization, relocalization)
* Multi-frame capture configuration
* Confidence thresholds
* GPS hint integration
* Localization hints to narrow Map / MapSet search (hintMapCodes, hintPosition, hintRadius)
* **Runtime configuration updates** — change Map / MapSet localization settings and apply them before the next query via `MultiSet.shared.updateConfig(_:)`
* Object tracking settings (objectCodes, auto-tracking, background tracking)
* UI feedback options
* Image quality settings

## Quick Reference

| Component            | Description                                       |
| -------------------- | ------------------------------------------------- |
| `MultiSetConfig`     | Centralized configuration for all SDK behavior    |
| `MultiSet`           | Main SDK singleton for initialization and control |
| `MultiSetARView`     | SwiftUI view wrapping ARKit ARView                |
| `MultiSetCallback`   | Protocol for SDK event callbacks                  |
| `LocalizationResult` | Result object containing localization pose data   |
| `LocalizationMode`   | Enum: `.singleFrame` or `.multiFrame`             |
| `TrackingState`      | Enum: `.tracking`, `.paused`, `.stopped`          |
| `GeoCoordinates`     | Geographic coordinate struct for GPS hints        |

## Related

* [Sample Views](/multiset/native-support/ios-swift-native/sample-views.md)
* [iOS SDK Overview](/multiset/native-support/ios-swift-native.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://multiset.gitbook.io/multiset/native-support/ios-swift-native/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
